/*
 * buttons.c
 *
 * Created: 27/05/2019 10:15:41
 *  Author: jon_e
 */ 

 #include "buttons.h"


 static volatile uint8_t button_pressed[NO_OF_BUTTONS];
 static volatile uint8_t button_pressed_prev[NO_OF_BUTTONS];

static void timer_buttons_isr(void){
	for (uint8_t button_no = 0; button_no < NO_OF_BUTTONS;button_no++){
		button_pressed_prev[button_no] = button_pressed[button_no];
		if (button_no == 0){
			button_pressed[button_no] = gpio_pin_is_low(GPIO_PUSH_BUTTON_0);
		}else if(button_no == 1){
			button_pressed[button_no] = gpio_pin_is_low(GPIO_PUSH_BUTTON_1);
		}else if(button_no == 2){
			button_pressed[button_no] = gpio_pin_is_low(GPIO_PUSH_BUTTON_2);
		}

		if(button_pressed[button_no] && !(button_pressed_prev[button_no])){
			button_switched[button_no] = 1;
		}
	}	
	tc_clear_overflow(&TCC0);
}

void buttons_init(void){
	for (uint8_t i = 0; i<NO_OF_BUTTONS;i++){
		button_pressed[i] = 0;
		button_pressed_prev[i] = 0;
	}

	tc_enable(&TCC0);
	tc_set_overflow_interrupt_callback(&TCC0,timer_buttons_isr);
	tc_set_wgm(&TCC0,TC_WG_NORMAL);
	tc_write_period(&TCC0,115);
	tc_set_overflow_interrupt_level(&TCC0,TC_INT_LVL_LO);
	tc_write_clock_source(&TCC0,TC_CLKSEL_DIV1024_gc);
}